## ros-one-moveit-ros-manipulation 1.1.16-49jammy.20251023.1650

=== pick_place/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_pick_place_planner)

add_library(${MOVEIT_LIB_NAME}
  src/pick_place_params.cpp
  src/manipulation_pipeline.cpp
  src/reachable_valid_pose_filter.cpp
  src/approach_and_translate_stage.cpp
  src/plan_stage.cpp
  src/pick_place.cpp
  src/pick.cpp
  src/place.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_dependencies(${MOVEIT_LIB_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS}) # don't build until necessary msgs are available

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-49jammy.20251023.1650) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Thu, 23 Oct 2025 16:50:26 +0000

ros-one-moveit-ros-manipulation (1.1.16-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.15-0jammy) jammy; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.14-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.13-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.12-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.11-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.10-0jammy) jammy; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.9-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.8-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.7-0jammy) jammy; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Mathias Lüdtke, Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.5-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.4-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.3-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.2-0jammy) jammy; urgency=high

  * Order PlaceLocations by quality during planning (#2378 <https://github.com/ros-planning/moveit/issues/2378>)
  * Contributors: Markus Vieth

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.1-0jammy) jammy; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.0-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.6-0jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.5-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 15 Jul 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.4-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.3-0jammy) jammy; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.2-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.1-0jammy) jammy; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.0-0jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (0.10.8-0jammy) jammy; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 00:00:00 -0000



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-ros-manipulation//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-ros-manipulation 1.1.16-49jammy.20251208.0947

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-49jammy.20251208.0947) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Mon, 08 Dec 2025 09:47:37 +0000

## ros-one-moveit-ros-manipulation 1.1.16-49noble.20251023.1706

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_ros_manipulation)

find_package(catkin REQUIRED COMPONENTS
  moveit_core
  moveit_msgs
  moveit_ros_planning
  moveit_ros_move_group
  dynamic_reconfigure
  roscpp
  rosconsole
  tf2_eigen
  pluginlib
  actionlib
)
moveit_build_options()

find_package(Eigen3 REQUIRED)
find_package(Boost REQUIRED thread system filesystem date_time program_options)

generate_dynamic_reconfigure_options("pick_place/cfg/PickPlaceDynamicReconfigure.cfg")

catkin_package(
  INCLUDE_DIRS
    pick_place/include
    move_group_pick_place_capability/include
  LIBRARIES
    moveit_pick_place_planner
  CATKIN_DEPENDS
    actionlib
    dynamic_reconfigure
    moveit_core
    moveit_msgs
    moveit_ros_planning
    roscpp
  DEPENDS
    EIGEN3
)

include_directories(pick_place/include)
include_directories(move_group_pick_place_capability/include)

include_directories(SYSTEM
                    ${catkin_INCLUDE_DIRS}
                    ${Boost_INCLUDE_DIRS}
                    ${EIGEN3_INCLUDE_DIRS})

add_subdirectory(pick_place)
add_subdirectory(move_group_pick_place_capability)

install(FILES
  pick_place_capability_plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== move_group_pick_place_capability/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_move_group_pick_place_capability)

include_directories(src)

add_library(${MOVEIT_LIB_NAME}
  src/pick_place_action_capability.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} moveit_pick_place_planner ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-49noble.20251023.1706) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Thu, 23 Oct 2025 17:06:40 +0000

ros-one-moveit-ros-manipulation (1.1.16-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.15-0noble) noble; urgency=high

  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.14-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.13-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.12-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.11-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.10-0noble) noble; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Michael Görner <me@v4hn.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.9-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.8-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.7-0noble) noble; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Michael Görner <me@v4hn.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Felix von Drigalski, Mathias Lüdtke, Robert Haschke, pvanlaar

 -- Michael Görner <me@v4hn.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.5-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.4-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.3-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.2-0noble) noble; urgency=high

  * Order PlaceLocations by quality during planning (#2378 <https://github.com/ros-planning/moveit/issues/2378>)
  * Contributors: Markus Vieth

 -- Michael Görner <me@v4hn.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.1-0noble) noble; urgency=high

  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski

 -- Michael Görner <me@v4hn.de>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.1.0-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.6-0noble) noble; urgency=high

  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Markus Vieth, Robert Haschke

 -- Michael Görner <me@v4hn.de>  Wed, 19 Aug 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.5-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Wed, 15 Jul 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.4-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Sat, 30 May 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.3-0noble) noble; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Michael Görner <me@v4hn.de>  Sun, 26 Apr 2020 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.2-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Fri, 28 Jun 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.1-0noble) noble; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Yu, Yan

 -- Michael Görner <me@v4hn.de>  Fri, 08 Mar 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (1.0.0-0noble) noble; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Görner <me@v4hn.de>  Sun, 24 Feb 2019 00:00:00 -0000

ros-one-moveit-ros-manipulation (0.10.8-0noble) noble; urgency=high



 -- Michael Görner <me@v4hn.de>  Mon, 24 Dec 2018 00:00:00 -0000



=== debian/control ===
Source: ros-one-moveit-ros-manipulation
Section: misc
Priority: optional
Maintainer: Michael Görner <me@v4hn.de>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-actionlib, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-manipulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-actionlib, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2-eigen
Description: Components of MoveIt used for manipulation

## ros-one-moveit-ros-manipulation 1.1.16-49noble.20251208.1626

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-49noble.20251208.1626) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Mon, 08 Dec 2025 16:26:36 +0000

## ros-one-moveit-ros-manipulation 1.1.16-50jammy.20260128.2308

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-50jammy.20260128.2308) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 23:08:18 +0000

## ros-one-moveit-ros-manipulation 1.1.16-50noble.20260128.2324

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-50noble.20260128.2324) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Wed, 28 Jan 2026 23:24:56 +0000

## ros-one-moveit-ros-manipulation 1.1.16-51jammy.20260301.2304

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-51jammy.20260301.2304) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 23:04:37 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Michael Görner <me@v4hn.de>
 Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-one-actionlib, ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-moveit-ros-move-group, ros-one-moveit-ros-planning, ros-one-pluginlib (>= 1.11.2), ros-one-rosconsole, ros-one-roscpp, ros-one-tf2-eigen
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-manipulation

## ros-one-moveit-ros-manipulation 1.1.16-51noble.20260301.2258

=== debian/changelog ===
ros-one-moveit-ros-manipulation (1.1.16-51noble.20260301.2258) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Michael Görner <me@v4hn.de>  Sun, 01 Mar 2026 22:58:14 +0000
